Package com.google.protobuf

# Class RuntimeVersion.ProtobufRuntimeVersionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.google.protobuf.RuntimeVersion.ProtobufRuntimeVersionException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `RuntimeVersion`

public static final class RuntimeVersion.ProtobufRuntimeVersionException extends RuntimeException
A runtime exception to be thrown by the version validator if version is not well defined or versions mismatch.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProtobufRuntimeVersionException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProtobufRuntimeVersionException

public ProtobufRuntimeVersionException(String message)